﻿using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class Unk0E65Packet : Packet
    {
        private static readonly byte[] StaticData = new byte[]
        {
            0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x78, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00,
        };

        public Unk0E65Packet()
        {
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            return StaticData;
            //var pkt = new PacketWriter();
            //pkt.Write((byte)0x78);
            //pkt.Write((byte)0);
            //pkt.Write((byte)0x78);
            //pkt.Write((byte)0);
            //pkt.Write((byte)0);
            //pkt.Write((byte)0);
            //pkt.Write((byte)0x04);
            //pkt.Write((byte)0);
            //pkt.Write((byte)0x64);
            //return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x0E, 0x65, PacketFlags.None);
        }

        #endregion
    }
}