/*
 Navicat Premium Data Transfer

 Source Server         : 3307
 Source Server Type    : MySQL
 Source Server Version : 80019 (8.0.19)
 Source Host           : 192.168.0.23:3307
 Source Schema         : pso2server

 Target Server Type    : MySQL
 Target Server Version : 80019 (8.0.19)
 File Encoding         : 65001

 Date: 12/12/2024 22:38:17
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for npcs
-- ----------------------------
DROP TABLE IF EXISTS `npcs`;
CREATE TABLE `npcs`  (
  `EntityID` int NOT NULL,
  `ZoneName` varchar(225) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `NPCName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `RotX` float NOT NULL,
  `RotY` float NOT NULL,
  `RotZ` float NOT NULL,
  `RotW` float NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  `PosZ` float NOT NULL,
  `is_active` int UNSIGNED NOT NULL DEFAULT 1,
  PRIMARY KEY (`EntityID`, `ZoneName`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of npcs
-- ----------------------------
INSERT INTO `npcs` VALUES (450, 'lobby', 'Npc_ShopWeapon', 0, -0.587402, 0, 0.808594, 25.6875, 0.0599976, -142.375, 1);
INSERT INTO `npcs` VALUES (451, 'lobby', 'Npc_ShopItem', 0, 0.615234, 0, 0.787598, -26, 0.0599976, -141.25, 1);
INSERT INTO `npcs` VALUES (452, 'lobby', 'Npc_CounterLab1', 0, -0.719238, 0, 0.694336, 26.625, 0.0599976, -133, 1);
INSERT INTO `npcs` VALUES (453, 'lobby', 'Npc_ShopItem2', 0, -0.765625, 0, 0.642578, 26.2031, 0.0599976, -129.875, 1);
INSERT INTO `npcs` VALUES (454, 'lobby', 'Npc_ShopCostume1', 0, 0.765625, 0, 0.642578, -26.2344, 0.0599976, -129.5, 1);
INSERT INTO `npcs` VALUES (455, 'lobby', 'Npc_ShopCostume2', 0, 0.736816, 0, 0.675293, -26.5938, 0.0599976, -132.5, 1);
INSERT INTO `npcs` VALUES (456, 'lobby', 'Npc_ShopDisc', 0, -0.642578, 0, 0.765625, 26.5, 0.0599976, -139.5, 1);
INSERT INTO `npcs` VALUES (457, 'lobby', 'Npc_CounterSalon1', 0, -0.707031, 0, 0.707031, 42.6562, 7.13281, -136.125, 1);
INSERT INTO `npcs` VALUES (458, 'lobby', 'Npc_ShopReform1', 0, -0.300537, 0, 0.953613, 53.0938, -5.89844, -83.625, 1);
INSERT INTO `npcs` VALUES (459, 'lobby', 'Npc_ShopTrade', 0, -0.300537, 0, 0.953613, 64.6875, -5.89844, -74.875, 1);
INSERT INTO `npcs` VALUES (460, 'lobby', 'Npc_CounterNetCafe', 0, -0.341797, 0, 0.939453, 66.375, -5.89844, -73.3125, 1);
INSERT INTO `npcs` VALUES (461, 'lobby', 'Npc_ShopPoint', 0, -0.258545, 0, 0.96582, 62.75, -5.89844, -76.1875, 1);
INSERT INTO `npcs` VALUES (462, 'lobby', 'Npc_ShopTrade2', 0, 0.668945, 0, 0.743164, -42.5, 7.09766, -142.5, 1);
INSERT INTO `npcs` VALUES (463, 'lobby', 'Npc_ShopPoint3', 0, 0.675293, 0, 0.737305, -42.8438, 7.13281, -135, 1);
INSERT INTO `npcs` VALUES (464, 'lobby', 'Npc_ShopPoint2', 0, 0.719238, 0, 0.694336, -42.8438, 7.13281, -133, 1);
INSERT INTO `npcs` VALUES (465, 'lobby', 'Npc_ShopReform2', 0, -0.300537, 0, 0.953613, 55.2188, -5.89844, -81.9375, 1);
INSERT INTO `npcs` VALUES (466, 'lobby', 'Npc_CounterLab2', 0, -0.719238, 0, 0.694336, 26.625, 0.0599976, -133, 1);
INSERT INTO `npcs` VALUES (467, 'lobby', 'Npc_ShopTrade3', 0, 0.628906, 0, 0.776855, -42.0938, 7.09766, -145, 1);
INSERT INTO `npcs` VALUES (468, 'lobby', 'Npc_CQShopPoint', 0, 0.675293, 0, 0.737305, -42.6875, 7, -140, 1);
INSERT INTO `npcs` VALUES (469, 'lobby', 'Npc_05', 0, 1, 0, 0, 0, 0.0999756, -147.5, 1);
INSERT INTO `npcs` VALUES (470, 'lobby', 'Npc_22', 0, -0.258545, 0, 0.96582, 18.5, 7, -113.5, 1);
INSERT INTO `npcs` VALUES (471, 'lobby', 'Npc_21', 0, 0.190674, 0, 0.981445, 19.0938, -3, -88.875, 1);
INSERT INTO `npcs` VALUES (472, 'lobby', 'Npc_01', 0, -0.886719, 0, 0.46167, 26.0938, 0, -113, 1);
INSERT INTO `npcs` VALUES (473, 'lobby', 'Npc_06', 0, 0.979492, 0, -0.199219, 9.5, 0, -112, 1);
INSERT INTO `npcs` VALUES (474, 'lobby', 'Npc_07', 0, 0.999023, 0, -0.0435791, 8.5, -3, -76, 1);
INSERT INTO `npcs` VALUES (475, 'lobby', 'Npc_08', 0, 0.939453, 0, 0.341797, 25, 14, -160, 1);
INSERT INTO `npcs` VALUES (476, 'lobby', 'Npc_09', 0, 0.923828, 0, 0.382568, -20, -3, -78.5, 1);
INSERT INTO `npcs` VALUES (477, 'lobby', 'Npc_10', 0, 0.996094, 0, -0.0870972, -16.5, -3, -77.375, 1);
INSERT INTO `npcs` VALUES (478, 'lobby', 'Npc_11', 0, 0.707031, 0, 0.707031, -57.5, -6, -52.5, 1);
INSERT INTO `npcs` VALUES (479, 'lobby', 'Npc_12', 0, 0.90625, 0, 0.422607, 12.75, 14, -164.75, 1);
INSERT INTO `npcs` VALUES (480, 'lobby', 'Npc_13', 0, -0.46167, 0, 0.886719, -4.49609, 0, -113.188, 1);
INSERT INTO `npcs` VALUES (481, 'lobby', 'Npc_14', 0, 0.886719, 0, 0.46167, -5.5, 0, -112.5, 1);
INSERT INTO `npcs` VALUES (482, 'lobby', 'Npc_28', 0, -0.113159, 0, 0.993164, -16.5, -6, -60.375, 1);
INSERT INTO `npcs` VALUES (483, 'lobby', 'Npc_55', 0, 0.258545, 0, 0.96582, -24, 0, -120, 1);
INSERT INTO `npcs` VALUES (484, 'lobby', 'Npc_53', 0, 0.675293, 0, 0.737305, -49, 0, -97.75, 1);
INSERT INTO `npcs` VALUES (485, 'lobby', 'Npc_51', 0, -0.99707, 0, 0.0698242, 49.1875, 0.5, -87.1875, 1);
INSERT INTO `npcs` VALUES (486, 'lobby', 'Npc_56', 0, 0.792969, 0, -0.608398, 54.5625, 0, -110.562, 1);
INSERT INTO `npcs` VALUES (487, 'lobby', 'Npc_65', 0, 1, 0, 0, 0, 22, -126, 1);
INSERT INTO `npcs` VALUES (488, 'lobby', 'Npc_68', 0, -0.707031, 0, 0.707031, -12, 0.0999756, -133.5, 1);
INSERT INTO `npcs` VALUES (489, 'lobby', 'Npc_69', 0, -0.707031, 0, 0.707031, -11.8594, 0.0999756, -136.375, 1);
INSERT INTO `npcs` VALUES (490, 'lobby', 'Npc_91', 0, 0.939453, 0, 0.341797, -26.3125, 0.000719547, -102.812, 1);
INSERT INTO `npcs` VALUES (491, 'lobby', 'Npc_80', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (492, 'lobby', 'Npc_81', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (493, 'lobby', 'Npc_97', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (494, 'lobby', 'Npc_96', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (495, 'lobby', 'Npc_99', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (496, 'lobby', 'Npc_61', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (497, 'lobby', 'Npc_77', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (498, 'lobby', 'Npc_121', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (499, 'lobby', 'Npc_125', 0, 0.0523071, 0, 0.998535, -26.0469, -3, -92.4375, 1);
INSERT INTO `npcs` VALUES (500, 'lobby', 'Npc_134', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (501, 'lobby', 'Npc_83', 0, -0.886719, 0, 0.46167, 26.0938, 0, -113, 1);
INSERT INTO `npcs` VALUES (502, 'lobby', 'Npc_85', 0, 1, 0, 0, 0, 0.0999756, -147.5, 1);
INSERT INTO `npcs` VALUES (503, 'lobby', 'Npc_118', 0, 1, 0, 0, 10, 0.0507812, -131.75, 1);
INSERT INTO `npcs` VALUES (504, 'lobby', 'Npc_153', 0, 0, 0, 1, 10, 0.02948, -133, 1);
INSERT INTO `npcs` VALUES (505, 'lobby', 'Npc_62', 0, -0.923828, 0, 0.382568, 28.25, -3, -83.125, 1);
INSERT INTO `npcs` VALUES (506, 'lobby', 'Npc_63', 0, -0.984375, 0, 0.173584, 25.2188, -3, -81.625, 1);
INSERT INTO `npcs` VALUES (507, 'lobby', 'Npc_192', 0, 0, 0, 1, 0.0846558, 0.0999756, -122.688, 1);
INSERT INTO `npcs` VALUES (508, 'lobby', 'Npc_193', 0, 0.130493, 0, 0.991211, -1, 0.0999756, -149.125, 1);
INSERT INTO `npcs` VALUES (509, 'lobby', 'Npc_ShipBattle', 0, 0, 0, 1, -7.23828, 0.0999756, -124.875, 1);
INSERT INTO `npcs` VALUES (510, 'lobby', 'Npc_241', 0, 0.341797, 0, 0.939453, 8.39844, 0.0999756, -125.062, 1);
INSERT INTO `npcs` VALUES (511, 'lobby', 'Npc_244', 0, 0.382568, 0, 0.923828, 6.79688, 0.0999756, -124.375, 1);
INSERT INTO `npcs` VALUES (512, 'lobby', 'Npc_230', 0, 0.382568, 0, 0.923828, 9.39844, 0.0999756, -126.562, 1);
INSERT INTO `npcs` VALUES (513, 'lobby', 'Npc_CounterQuest1', 0, 0.121826, 0, 0.992188, -29.75, 0.199951, 118.5, 1);
INSERT INTO `npcs` VALUES (514, 'lobby', 'Npc_CounterQuest2', 0, -0.130493, 0, 0.991211, 29.8906, 0.199951, 118.375, 1);
INSERT INTO `npcs` VALUES (515, 'lobby', 'Npc_CounterArks', 0, 0.865723, 0, -0.499756, 22.6875, 2.85938, 193.5, 1);
INSERT INTO `npcs` VALUES (516, 'lobby', 'Npc_ClassCounter', 0, 0.818848, 0, -0.573242, 24.8906, 2.85938, 188.125, 1);
INSERT INTO `npcs` VALUES (517, 'lobby', 'Npc_CounterArks2', 0, 0.737305, 0, -0.675293, 26.1875, 2.85938, 183, 1);
INSERT INTO `npcs` VALUES (518, 'lobby', 'Npc_CounterMd1', 0, 0.792969, 0, 0.608398, -25.5938, 3.06836, 185.875, 1);
INSERT INTO `npcs` VALUES (519, 'lobby', 'Npc_03', 0, 0.258545, 0, 0.96582, -16, 0, 124.5, 1);
INSERT INTO `npcs` VALUES (520, 'lobby', 'Npc_26', 0, -1, 0, 0, 7, 2.39844, 201, 1);
INSERT INTO `npcs` VALUES (521, 'lobby', 'Npc_52', 0, -0.818848, 0, 0.573242, -45.5, 1, 145, 1);
INSERT INTO `npcs` VALUES (522, 'lobby', 'Npc_50', 0, -0.130493, 0, 0.991211, 35.7188, 0.199951, 119.75, 1);
INSERT INTO `npcs` VALUES (523, 'lobby', 'Npc_19', 0, 0.818848, 0, -0.573242, -7.59766, 2.39844, 161, 1);
INSERT INTO `npcs` VALUES (524, 'lobby', 'Npc_20', 0, -0.173584, 0, 0.984375, 4, 2.39844, 165, 1);
INSERT INTO `npcs` VALUES (525, 'lobby', 'Npc_17', 0, 0.675293, 0, 0.737305, -26.1875, 2.91602, 179.25, 1);
INSERT INTO `npcs` VALUES (526, 'lobby', 'Npc_58', 0, 0.737305, 0, -0.675293, -22.5, 2.59961, 179.375, 1);
INSERT INTO `npcs` VALUES (527, 'lobby', 'Npc_02', 0, 0.737305, 0, -0.675293, 21, 2.39844, 172, 1);
INSERT INTO `npcs` VALUES (528, 'lobby', 'Npc_04', 0, 0.939453, 0, 0.341797, -16.5, 2.39844, 196.5, 1);
INSERT INTO `npcs` VALUES (529, 'lobby', 'Npc_18', 0, 0.707031, 0, 0.707031, -17.5, 15.7969, 185.5, 1);
INSERT INTO `npcs` VALUES (530, 'lobby', 'Npc_54', 0, 1, 0, 0, 0, 15, 206, 1);
INSERT INTO `npcs` VALUES (531, 'lobby', 'Npc_59', 0, 0.707031, 0, 0.707031, 58.2812, 1, 138.75, 1);
INSERT INTO `npcs` VALUES (532, 'lobby', 'Npc_27', 0, 0.707031, 0, 0.707031, -29.5, 15, 175.5, 1);
INSERT INTO `npcs` VALUES (533, 'lobby', 'Npc_49', 0, 0.139038, 0, 0.990234, -35.25, 0.199951, 119.875, 1);
INSERT INTO `npcs` VALUES (534, 'lobby', 'Npc_57', 0, 0.996094, 0, 0.0872192, -2.5, 2.40234, 183.5, 1);
INSERT INTO `npcs` VALUES (535, 'lobby', 'Npc_82', 0, -0.130493, 0, 0.991211, 39.9375, 0.199951, 120.938, 1);
INSERT INTO `npcs` VALUES (536, 'lobby', 'Npc_98', 0, 0.996094, 0, 0.0872192, 6.03125, 2.4043, 151.375, 1);
INSERT INTO `npcs` VALUES (537, 'lobby', 'Npc_87', 0, 0.675293, 0, 0.737305, -20.875, 2.40234, 171.875, 1);
INSERT INTO `npcs` VALUES (538, 'lobby', 'Npc_86', 0, 0.737305, 0, -0.675293, 21, 2.39844, 172, 1);
INSERT INTO `npcs` VALUES (539, 'lobby', 'Npc_151', 0, -0.818848, 0, 0.573242, -12.5, 0, 146.75, 1);
INSERT INTO `npcs` VALUES (540, 'lobby', 'Npc_150', 0, -0.923828, 0, 0.382568, -10.8438, 1.19922, 151.75, 1);
INSERT INTO `npcs` VALUES (541, 'lobby', 'Npc_185', 0, 0.939453, 0, 0.341797, -16.5, 2.39844, 196.5, 1);
INSERT INTO `npcs` VALUES (542, 'lobby', 'Npc_188', 0, 0.737305, 0, -0.675293, 21, 2.39844, 172, 1);
INSERT INTO `npcs` VALUES (543, 'lobby', 'Npc_30', 0, -0.923828, 0, 0.382568, 23.5, 15, 203.5, 1);
INSERT INTO `npcs` VALUES (544, 'lobby', 'Npc_186', 0, -0.923828, 0, 0.382568, 23.5, 15, 203.5, 1);
INSERT INTO `npcs` VALUES (913, 'casino', 'Npc_AmCounterQuestA', 0, -0.865723, 0, 0.5, 22.7969, 6.5, 95.875, 1);
INSERT INTO `npcs` VALUES (914, 'casino', 'Npc_AmShopA', 0, -0.707031, 0, 0.707031, 26.2969, 6.5, 82.5625, 1);
INSERT INTO `npcs` VALUES (915, 'casino', 'Npc_AmCounterBarA', 0, 0.874512, 0, 0.484863, -22.6719, 6.5, 97, 1);
INSERT INTO `npcs` VALUES (916, 'casino', 'Npc_AmExchange1', 0, 0.719238, 0, 0.694336, -26.1875, 6.5, 83.1875, 1);
INSERT INTO `npcs` VALUES (917, 'casino', 'Npc_AmExchange2', 0, -0.707031, 0, 0.707031, 51.5938, 0.349854, -0.599609, 1);
INSERT INTO `npcs` VALUES (918, 'casino', 'Npc_203', 0, 0, 0, 1, 4, 6.49609, 66.0625, 1);
INSERT INTO `npcs` VALUES (919, 'casino', 'Npc_AmCounterB', 0, 0.0435791, 0, 0.999023, -3.64844, 0.349854, -38.5, 1);
INSERT INTO `npcs` VALUES (920, 'casino', 'Npc_161', 0, -0.422607, 0, 0.90625, 24, 0.349854, 20, 1);
INSERT INTO `npcs` VALUES (921, 'casino', 'Npc_160', 0, -0.818848, 0, 0.573242, -5.5, 0.349854, 31.3906, 1);
INSERT INTO `npcs` VALUES (922, 'casino', 'Npc_162', 0, 0.984375, 0, -0.173584, -31.125, 0.349854, 8.32812, 1);
INSERT INTO `npcs` VALUES (923, 'casino', 'Npc_215', 0, 0.5, 0, -0.865723, 32, 0.349854, -16.875, 1);
INSERT INTO `npcs` VALUES (10, 'campship', 'Npc_02', 0, -0.382568, 0, 0.923828, 5.69922, 0.0999756, -5.79688, 1);

SET FOREIGN_KEY_CHECKS = 1;
